Loading...
Searching...
No Matches
Image Resize
Image Processing Functions

## Functions

void | ne10_img_resize_bilinear_rgba_c (ne10_uint8_t *dst, ne10_uint32_t dst_width, ne10_uint32_t dst_height, ne10_uint8_t *src, ne10_uint32_t src_width, ne10_uint32_t src_height, ne10_uint32_t src_stride)
| image resize of 8-bit data.
void | ne10_img_hresize_4channels_linear_neon (const ne10_uint8_t **src, ne10_int32_t **dst, ne10_int32_t count, const ne10_int32_t *xofs, const ne10_int16_t *alpha, ne10_int32_t swidth, ne10_int32_t dwidth, ne10_int32_t cn, ne10_int32_t xmin, ne10_int32_t xmax)
void | ne10_img_vresize_linear_neon (const ne10_int32_t **src, ne10_uint8_t *dst, const ne10_int16_t *beta, ne10_int32_t width)
void | ne10_img_resize_bilinear_rgba_neon (ne10_uint8_t *dst, ne10_uint32_t dst_width, ne10_uint32_t dst_height, ne10_uint8_t *src, ne10_uint32_t src_width, ne10_uint32_t src_height, ne10_uint32_t src_stride)
| image resize of 8-bit data.

## Detailed Description

  Image resize is a generic functionality in image processing. In Ne10 library, we use the bilinear interpolation algorithm (http://en.wikipedia.org/wiki/Bilinear_interpolation) to implement image resize. For C implementation, we take the cvResize function from OpenCV (http://opencv.org/) for reference.

  This set of functions implements image resize with bilinear interpolation algorithm for 8-bit data types. The functions operate on out-of-place buffer which use different buffer for input and output.

## Function Documentation

## ne10_img_resize_bilinear_rgba_c()

void ne10_img_resize_bilinear_rgba_c | ( | ne10_uint8_t * | dst,
|  | ne10_uint32_t | dst_width,
|  | ne10_uint32_t | dst_height,
|  | ne10_uint8_t * | src,
|  | ne10_uint32_t | src_width,
|  | ne10_uint32_t | src_height,
|  | ne10_uint32_t | src_stride
| ) |  |

image resize of 8-bit data.

Parameters

  [out] | *dst | point to the destination image
  [in] | dst_width | width of destination image
  [in] | dst_height | height of destination image
  [in] | *src | point to the source image
  [in] | src_width | width of source image
  [in] | src_height | height of source image
  [in] | src_stride | stride of source buffer

Returns
  none. The function implements image resize

Definition at line 367 of file NE10_resize.c.

## ne10_img_resize_bilinear_rgba_neon()

void ne10_img_resize_bilinear_rgba_neon | ( | ne10_uint8_t * | dst,
|  | ne10_uint32_t | dst_width,
|  | ne10_uint32_t | dst_height,
|  | ne10_uint8_t * | src,
|  | ne10_uint32_t | src_width,
|  | ne10_uint32_t | src_height,
|  | ne10_uint32_t | src_stride
| ) |  |

image resize of 8-bit data.

Parameters

  [out] | *dst | point to the destination image
  [in] | dst_width | width of destination image
  [in] | dst_height | height of destination image
  [in] | *src | point to the source image
  [in] | src_width | width of source image
  [in] | src_height | height of source image
  [in] | src_stride | stride of source buffer

Returns
  none. The function implements image resize

Definition at line 508 of file NE10_resize.c.